Skip to main content
GET
List Transactions for a Business

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_id
string<biz_string>
required

The id of the business

Example:

"biz_GA6EG2qFxA97NZHtxeLPUy"

Query Parameters

type
enum<string> | null

Filter transactions by the type of the Transaction

Available options:
business,
personal
reviewed
boolean | null

Filter transactions by whether they are reviewed

posted
boolean | null

Filter transactions by whether they are posted

ledger_type
enum<string> | null

Filter transactions whose both-basis Journal Entry has a line in a Ledger of this type

Available options:
asset,
liability,
equity,
revenue,
expense
ledger_subtype
enum<string> | null

Filter transactions whose both-basis Journal Entry has a line in a Ledger of this subtype

Available options:
current_asset,
fixed_asset,
other_asset,
uncategorized_asset,
current_liability,
long_term_liability,
operating_revenue,
other_inflow,
cost_of_goods_sold,
operating_expense,
other_outflow,
contribution,
distribution,
common_stock,
preferred_stock,
additional_capital,
opening_balance,
retained_earnings
start_datetime
string<date-time> | null

Include transactions after this period (inclusive) in ISO-8601 format

end_datetime
string<date-time> | null

Include transactions before this period (inclusive) in ISO-8601 format

account_ids

Filter transactions by External Account IDs, comma-separated

ids

Comma-separated list of Transaction IDs to retrieve. Maximum limit is 100.

external_ids

Comma-separated list of external IDs to filter by

includes

Comma-separated list of related objects to include. Supported: invoice_payments.invoice, refund_payments, bill_payments

sort_by
enum<string>
default:datetime
Available options:
datetime,
description
order
enum<string>
default:desc
Available options:
asc,
desc
page_token
string | null

The page token to for the next or previous page

page_size
integer
default:100
Required range: 1 <= x <= 100

Response

Successful Response

data
TransactionPublic · object[]
required
pagination
PaginationResponse · object
required